Get the tax ID names
curl --request GET \
--url https://api.mycreditapp.ai/v1-beta/resources/tax-id-names \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mycreditapp.ai/v1-beta/resources/tax-id-names"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mycreditapp.ai/v1-beta/resources/tax-id-names', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"country_code": "<string>",
"tax_id_name": "<string>"
}
]{
"detail": [
{
"loc": [],
"msg": "Token is required!",
"type": "token",
"code": "token_required"
},
{
"loc": [],
"msg": "The token has expired!",
"type": "token",
"code": "token_expired"
},
{
"loc": [],
"msg": "Invalid token!",
"type": "token",
"code": "invalid_token"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Account not found!",
"type": "request",
"code": "account_not_found"
}
]
}{
"detail": [
{
"loc": [],
"msg": "The account is in the process of being deleted! The Account's email can only be reused after its data has been completely deleted. The removal process may take up to 24 hours.",
"type": "request",
"code": "account_being_deleted"
}
]
}{
"detail": [
{
"loc": [],
"msg": "The request is too large!",
"type": "request",
"code": "request_too_large"
}
]
}{
"detail": [
{
"loc": [
"string",
0
],
"msg": "string",
"type": "string",
"code": "validation_error"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Error processing request, please try later!",
"type": "try_later",
"code": "internal_conflict_error"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Service is under maintenance, please try later!",
"type": "maintanance",
"code": "service_under_maintenance"
}
]
}Resources
Get the tax ID names
Returns a list of tax identification numbers used in different countries.
GET
/
resources
/
tax-id-names
Get the tax ID names
Authorizations
Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.
Query Parameters
Required string length:
2Response
Successful Response
Unique identifier for the tax ID entry
Examples:
"b267d0d3-496f-4592-a1ae-59c9d279ca64"
"f815cb47-710d-4451-a6f5-65b5e83ad028"
Two-letter ISO 3166-1 alpha-2 country code where the registration number is issued
Required string length:
2Examples:
"AF"
"AL"
Official name of the tax identification number in the specified country
Required string length:
1 - 255Examples:
"Tax identification number"
"VAT registration number"
⌘I